### Infrastructure

This layer contains classes for accessing external resources such as file systems, web services, smtp, and so on. No
layer should ever depend on this layer. Use abstractions to make sure it never happens.
